MattDavies

PTA 2.61 now available (P3D v4.2 compatibility)

Recommended Posts

Help AVSIM continue to serve you!
Please donate today!

Matt,

I have just installed P3Dv4.2 and want to upgrade from PTA 2.60 to 2.61.

Forgive my ignorance but is it just a case of removing/uninstalling the 2.60 folder and replacing it with 2.61 or is it a bit more tricky than this?

A basic guide would be useful for those of us challenged by such matters! 

Thanks.

Rod

 

Share this post


Link to post
Share on other sites

Hello,

 

for the very first time, I am totally unable to make PTA working with 4.2 !

I have to each time activate PTA and totally unable to apply any kind of preset.

I have tried several time with 2.61 and even back to 2.60 but nothing is working here: errors, errors and errors.

I'm a bit lost and I've seen I'm not alone in this case...

Any kind of help is highly welcome...

apologize for my poor english: I try to do my best....

 

BugDani.

Share this post


Link to post
Share on other sites

PTAissue.jpgHello,

A never ending story: Activate, activate, activate, etc ......

BugDani.

Share this post


Link to post
Share on other sites

Resolved !!!

Not able to tell you what happened, but it seems to work from now :huh: , so....

Anyway, thank you...

BugDani.

Share this post


Link to post
Share on other sites
On 19/02/2018 at 7:34 PM, cyberpilot said:

Matt,

I have just installed P3Dv4.2 and want to upgrade from PTA 2.60 to 2.61.

Forgive my ignorance but is it just a case of removing/uninstalling the 2.60 folder and replacing it with 2.61 or is it a bit more tricky than this?

A basic guide would be useful for those of us challenged by such matters! 

Thanks.

Rod

 

Start with a new folder. it'll self extract everything it needs to into the same directory.

Share this post


Link to post
Share on other sites

Hi,

I have P3dv4.2 installed. I have PTA 2.61 installed. After applying any preset I get errors in the log. Never had this issue with 2.60. 

Share this post


Link to post
Share on other sites

Haze tweak not working. PTA ver. 2.61, P3D ver. 4.2, clear install

Share this post


Link to post
Share on other sites

Fresh (and complete install of P3D4.2)

Fresh download of PTA 2.6.1

Activates fine. Loads and clears cache fine. But then I get errors when applying any preset. I have deleted and repaired HLSL shaders with install_client.msi several times. Am running all programs in 'administrator' mode.

 Applying [Terrain lighting] to C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fx
ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fx
   Applying [Rayleigh scattering effect] to C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\FuncLibrary.fxh
ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\FuncLibrary.fxh
ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fxh
ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\PostProcess\HDR.hlsl
ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\PostProcess\FXAAResolve.hlsl
Preset has been applied with errors. See log above
Shaders cache cleared
 

Share this post


Link to post
Share on other sites

Hi Matt and Others,

I have upgraded to P3D4.2 and after several attempts in applying PTA 2.61, I get the following errors (the successful items from the below log were deleted for brevity):

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\Cloud.fx

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\General.fx

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fx

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\FuncLibrary.fxh

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fxh

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\PostProcess\HDR.hlsl

ERROR writing destination shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\PostProcess\FXAAResolve.hlsl

Preset has been applied with errors. See log above

Shaders cache cleared

I greatly appreciate any help in resolving this issue.

Regards/Many thanks,

Russ Tillman, RussBIKF

k5nrk@bellsouth.net

 

 

Share this post


Link to post
Share on other sites

Hi Matt,

 

i have the same problems...

Applying preset C:\Users\stwoe\Desktop\PTA P3D V4.2\MattDavies1.3.ini...
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\Cloud.fx is not original Prepar3D shader
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\General.fx is not original Prepar3D shader
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\GPUTerrain.fx is not original Prepar3D shader
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\FuncLibrary.fxh is not original Prepar3D shader
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\GPUTerrain.fxh is not original Prepar3D shader
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\PostProcess\HDR.hlsl not found
ERROR applying preset: source file C:\Users\stwoe\Desktop\PTA P3D V4.2\SHADERS_BACKUP\PostProcess\FXAAResolve.hlsl not found
   Applying [Tweak main config (prepar3D.cfg)] to Main config file
Preset has been applied with errors. See log above

 

Any idea?

 

Best Regards

Stephan

Share this post


Link to post
Share on other sites

Hey Matt,

 

no idea???


Best regards

 

Stephan Wörmcke

st.woermcke@yahoo.de

 

 


Share this post


Link to post
Share on other sites

I have a couple of apps that I run with P3D 4.1 and I cannot upgrade to 4.2 since it will cause a CTD... I accidentally upgraded to PTA 2.61 and now I get errors when trying to apply a preset since I run P3D 4.1 not 4.2... 

A link to download PTA 2.60 would be nice! Previous versions should be on the website in case something like this happens

Share this post


Link to post
Share on other sites
Posted (edited)
On 13/3/2018 at 11:05 AM, peja4791 said:

I have a couple of apps that I run with P3D 4.1 and I cannot upgrade to 4.2 since it will cause a CTD... I accidentally upgraded to PTA 2.61 and now I get errors when trying to apply a preset since I run P3D 4.1 not 4.2... 

A link to download PTA 2.60 would be nice! Previous versions should be on the website in case something like this happens

https://0310e3e48f9f8fd91f21-c59b2c829b25cbc666933a71e5c2b2ea.ssl.cf3.rackcdn.com/releases/pta_2.60.zip

Delete and re-install P3D 4.1 Client (for to have original sheder)......after create a new folder with PTA 2.60 and apply your best preset.......

regards

Giosuè

Edited by Giosue

Share this post


Link to post
Share on other sites

I hear that PTA is not compatible while using 'Chaseplane'.   Can anyone confirm this please?

Share this post


Link to post
Share on other sites
1 hour ago, G7USL said:

I hear that PTA is not compatible while using 'Chaseplane'.   Can anyone confirm this please?

On the contrary. I use both and have no problems.

  • Upvote 1

Share this post


Link to post
Share on other sites

Everyone with issues applying the preset. Ensure you are running PTA as Administrator or the fx files cannot be written to.

Share this post


Link to post
Share on other sites

Hello,

I just freshly upgraded to p3d v4 from v3, and also installed and set up the latest PTA. Now I have a problem that there are no cloud shadows at all. I checked all the receive and cast shadow boxes, and still nothing. (btw there is no terrain receive shadow box, only cast shadow which is strange)

Also tried emptying the shader cache folder and putting back the original shaders from backup but no use.

What can be the problem? I had such a nice cloud shadows under v3, but now nothing.

Share this post


Link to post
Share on other sites

Do you use a V4 compatible weather engine / V4 compatible PTA preset ?

Share this post


Link to post
Share on other sites
22 minutes ago, GSalden said:

Do you use a V4 compatible weather engine / V4 compatible PTA preset ?

Yes, the presets I tried were specifically for v4. My weather engine is the free fsxwx, but I also do not see any shadows when I just use the default weather, like "fair weather" and such presets from the weather menu.

Even reverting back to the default shaders I don't see them, which is very strange. Btw why there is no "enable terrain to receive shadow" box in the graphics options anymore? I remember having it in v3.

Share this post


Link to post
Share on other sites

Ok, I got the shadows back.

It seems that the Ultimate Realism pack was the culprit. After I deactivated it at Options/Add-ons and reverted back the default shaders in PTA, the cloud shadows were back.

Then I loaded back the PTA presets downloaded from REX (presets made for texture direct texture pack), and the shadows were still there. So basically by deactivating URP from addons, I got it working.

Don't know why URP has to be an active addon in the first place, as far as I know it's just a bundle of PTA and reshade presets...

Share this post


Link to post
Share on other sites

why does the update take me to some russian website?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now